summaryrefslogtreecommitdiff
path: root/scripts/gui
diff options
context:
space:
mode:
authorSuleyman Farajli <suleyman@farajli.net>2025-11-25 21:27:15 +0400
committerSuleyman Farajli <suleyman@farajli.net>2025-11-25 21:27:15 +0400
commitaf078c55f03e2884b883abb095c623b96fa97ec5 (patch)
treed748e573c269ad0ce61ebc1876da0099b6e30425 /scripts/gui
parentb2eb96362c5cd16b69e608d5bb3463b08eb90ef2 (diff)
fix(sdev): avoid using run
Diffstat (limited to 'scripts/gui')
-rwxr-xr-xscripts/gui/sdev16
1 files changed, 12 insertions, 4 deletions
diff --git a/scripts/gui/sdev b/scripts/gui/sdev
index 2d80184..5c2976f 100755
--- a/scripts/gui/sdev
+++ b/scripts/gui/sdev
@@ -27,8 +27,14 @@ get_id() {
while getopts "e:d:t:lh" option; do
case "${option}" in
- e) run "input_device_handle enable $(get_id ${OPTARG})" ;;
- d) run "input_device_handle disable $(get_id ${OPTARG})" ;;
+ e)
+ input_device_handle enable "$(get_id ${OPTARG})"
+ exit $?
+ ;;
+ d)
+ input_device_handle disable "$(get_id ${OPTARG})"
+ exit $?
+ ;;
t)
id=$(get_id ${OPTARG})
if input_device_handle is_enabled "${id}"; then
@@ -38,11 +44,13 @@ while getopts "e:d:t:lh" option; do
fi
exit $?
;;
- l) run "input_device_handle list" ;;
+ l)
+ input_device_handle list
+ exit $?
+ ;;
h) help ;;
*) invalid_use -h ;;
-
esac
done